Skip to main content

Experience Group Actions

https://api.losant.com/applications/APPLICATION_ID/experience/groups/EXPERIENCE_GROUP_ID

Below are the various requests that can be performed against the Experience Group resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an experience group

Method And Url​

DELETE https://api.losant.com/applications/APPLICATION_ID/experience/groups/EXPERIENCE_GROUP_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, experienceGroup.*, or experienceGroup.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_GROUP_IDID associated with the experience group575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/applications/APPLICATION_ID/experience/groups/EXPERIENCE_GROUP_ID

Successful Responses​

CodeTypeDescription
200SuccessIf experience group was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience group was not found

Get​

Retrieves information on an experience group

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/experience/groups/EXPERIENCE_GROUP_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, experienceGroup.*, or experienceGroup.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_GROUP_IDID associated with the experience group575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeDirectDeviceCountNWhether or not to return count of devices associated directly with this groupfalseincludeDirectDeviceCount=true
includeTotalDeviceCountNWhether or not to return count of devices associated with this group or any of its descendantsfalseincludeTotalDeviceCount=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/experience/groups/EXPERIENCE_GROUP_ID

Successful Responses​

CodeTypeDescription
200Experience GroupExperience group information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience group was not found

Patch​

Updates information about an experience group

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/experience/groups/EXPERIENCE_GROUP_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, experienceGroup.*, or experienceGroup.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_GROUP_IDID associated with the experience group575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience Group Patch schema. For example, the following would be a valid body for this request:

{
"name": "My New Group Name",
"experienceUserIds": [
"575ed70c7ae143cd83dc4aa9",
"675ed70c7ae143cd83dc4aa9"
],
"experienceEndpointIds": [
"58b9d743cbfafe1be675744b",
"58b9d743cbfafe1be675744c"
],
"parentId": "775ed70c7ae143cd83dc4aa9",
"deviceIds": [
"58b9d743cbfafe1be675744d"
],
"deviceTags": [
{
"key": "myKey",
"value": "foo"
}
]
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"name":"My New Group Name","experienceUserIds":["575ed70c7ae143cd83dc4aa9","675ed70c7ae143cd83dc4aa9"],"experienceEndpointIds":["58b9d743cbfafe1be675744b","58b9d743cbfafe1be675744c"],"parentId":"775ed70c7ae143cd83dc4aa9","deviceIds":["58b9d743cbfafe1be675744d"],"deviceTags":[{"key":"myKey","value":"foo"}]}' \
https://api.losant.com/applications/APPLICATION_ID/experience/groups/EXPERIENCE_GROUP_ID

Successful Responses​

CodeTypeDescription
200Experience GroupUpdated experience group information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience group was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Experience Group​

        Schema for a single Experience Group

        Experience Group Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 17 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 3 keys
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key

                                          Experience Group Example​

                                          • ▶
                                            {} 8 keys
                                            • "58b9d794cbfafe1be675744f"
                                            • "58b9d794cbfafe1be675744f"
                                            • "575ec8687ae143cd83dc4a97"
                                            • "2016-06-13T04:00:00.000Z"
                                            • "2016-06-13T04:00:00.000Z"
                                            • "My Group"
                                            • ▶
                                              [] 2 items
                                              • ▶
                                                [] 2 items

                                              Experience Group Patch​

                                              Schema for the body of an Experience Group modification request

                                              Experience Group Patch Schema​

                                              • ▶
                                                {} 4 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • "object"
                                                • ▶
                                                  {} 9 keys
                                                  • ▶
                                                    {} 3 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 3 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 3 keys
                                                            • ▶
                                                              {} 3 keys
                                                              • ▶
                                                                {} 3 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 1 key
                                                                  • false

                                                                Experience Group Patch Example​

                                                                • ▶
                                                                  {} 6 keys
                                                                  • "My New Group Name"
                                                                  • ▶
                                                                    [] 2 items
                                                                    • ▶
                                                                      [] 2 items
                                                                      • "775ed70c7ae143cd83dc4aa9"
                                                                      • ▶
                                                                        [] 1 item
                                                                        • ▶
                                                                          [] 1 item

                                                                        Success​

                                                                        Schema for reporting a successful operation

                                                                        Success Schema​

                                                                        • ▶
                                                                          {} 3 keys
                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                          • "object"
                                                                          • ▶
                                                                            {} 1 key
                                                                            • ▶
                                                                              {} 2 keys

                                                                          Success Example​

                                                                          • ▶
                                                                            {} 1 key
                                                                            • true

                                                                          Was this page helpful?


                                                                          Still looking for help? You can also search the Losant Forums or submit your question there.